<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net10.0</TargetFramework>
    <Authors>S M Russel</Authors>
    <Company>Computer Ease Limited</Company>
    <Product>OnlineSalesAutoCrop.CoreAPI</Product>
    <DockerComposeProjectPath>..\docker-compose.dcproj</DockerComposeProjectPath>
    <DockerDefaultTargetOS>Windows</DockerDefaultTargetOS>
  </PropertyGroup>
  
    <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <GenerateDocumentationFile>true</GenerateDocumentationFile>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Debug|AnyCPU'">
    <NoWarn>1701;1702</NoWarn>
  </PropertyGroup>

  <ItemGroup>
    <Compile Remove="Connected Services\**" />
    <Compile Remove="Controllers\V2\**" />
    <Compile Remove="wwwroot\**" />
    <Content Remove="Connected Services\**" />
    <Content Remove="Controllers\V2\**" />
    <Content Remove="wwwroot\**" />
    <EmbeddedResource Remove="Connected Services\**" />
    <EmbeddedResource Remove="Controllers\V2\**" />
    <EmbeddedResource Remove="wwwroot\**" />
    <None Remove="Connected Services\**" />
    <None Remove="Controllers\V2\**" />
    <None Remove="wwwroot\**" />
  </ItemGroup>

  <ItemGroup>
    <Content Remove="web.config" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Reports\rptAdvancePayment.rdlc" />
    <None Remove="Reports\rptBalanceSheet.rdlc" />
    <None Remove="Reports\rptBalanceSheetCompare.rdlc" />
    <None Remove="Reports\rptBankOrCashBook.rdlc" />
    <None Remove="Reports\rptCashflow.rdlc" />
    <None Remove="Reports\rptCashflowCompare.rdlc" />
    <None Remove="Reports\rptCashPurchase.rdlc" />
    <None Remove="Reports\rptDayBook.rdlc" />
    <None Remove="Reports\rptDayBookSummary.rdlc" />
    <None Remove="Reports\rptFAAddAsset.rdlc" />
    <None Remove="Reports\rptFAInstallation.rdlc" />
    <None Remove="Reports\rptFAReduceAsset.rdlc" />
    <None Remove="Reports\rptFASales.rdlc" />
    <None Remove="Reports\rptFATransfer.rdlc" />
    <None Remove="Reports\rptFAWriteOff.rdlc" />
    <None Remove="Reports\rptFixedAssetDepreciation.rdlc" />
    <None Remove="Reports\rptGRN.rdlc" />
    <None Remove="Reports\rptIncomeExpenditure.rdlc" />
    <None Remove="Reports\rptInvoice.rdlc" />
    <None Remove="Reports\rptInvoiceFAP2P.rdlc" />
    <None Remove="Reports\rptLedger.rdlc" />
    <None Remove="Reports\rptMonthlyTurnover.rdlc" />
    <None Remove="Reports\rptPaymentFAP2P.rdlc" />
    <None Remove="Reports\rptProfitLoss.rdlc" />
    <None Remove="Reports\rptProfitLossCompare.rdlc" />
    <None Remove="Reports\rptPurchaseOrder.rdlc" />
    <None Remove="Reports\rptStockTran.rdlc" />
    <None Remove="Reports\rptTrialBalance.rdlc" />
    <None Remove="Reports\rptVoucher.rdlc" />
    <None Remove="Reports\rptWorkOrder.rdlc" />
  </ItemGroup>

  <ItemGroup>
    <Content Include="cel.ico" />
    <Content Include="Reports\rptAdvancePayment.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptBalanceSheet.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptBalanceSheetCompare.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptBankOrCashBook.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptCashflow.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptCashflowCompare.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptCashPurchase.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptDayBook.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptDayBookSummary.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFAAddAsset.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFAInstallation.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFAReduceAsset.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFASales.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFATransfer.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFAWriteOff.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptFixedAssetDepreciation.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptGRN.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptIncomeExpenditure.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptInvoice.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptInvoiceFAP2P.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptLedger.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptMonthlyTurnover.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptPaymentFAP2P.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptProfitLoss.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptProfitLossCompare.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptPurchaseOrder.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptStockTran.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptTrialBalance.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptVoucher.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
    <Content Include="Reports\rptWorkOrder.rdlc">
      <CopyToOutputDirectory>Always</CopyToOutputDirectory>
    </Content>
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="Asp.Versioning.Mvc.ApiExplorer" Version="10.0.0" />
    <PackageReference Include="Ease.NetCore" Version="2.1.4" />
    <PackageReference Include="Google.Cloud.Speech.V1" Version="3.9.0" />
    <PackageReference Include="Hangfire.AspNetCore" Version="1.8.24" />
    <PackageReference Include="Hangfire.SqlServer" Version="1.8.24" />
    <PackageReference Include="Microsoft.AspNetCore.Authentication.JwtBearer" Version="10.0.8" />
    <PackageReference Include="Microsoft.Extensions.Caching.SqlServer" Version="10.0.8" />
    <PackageReference Include="Microsoft.Extensions.Caching.StackExchangeRedis" Version="10.0.8" />
    <PackageReference Include="Microsoft.Extensions.Http" Version="10.0.10" />
    <PackageReference Include="Microsoft.Extensions.Http.Resilience" Version="10.8.0" />
    <PackageReference Include="OpenAI" Version="2.10.0" />
    <PackageReference Include="RabbitMQ.Client" Version="7.2.1" />
    <PackageReference Include="ReportViewerCore.NETCore" Version="15.1.33" />
    <PackageReference Include="Serilog.Extensions.Logging.File" Version="3.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="10.2.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.Swagger" Version="10.2.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerGen" Version="10.2.1" />
    <PackageReference Include="Swashbuckle.AspNetCore.SwaggerUi" Version="10.2.1" />
    <PackageReference Include="System.DirectoryServices" Version="10.0.8" />
    <PackageReference Include="System.IdentityModel.Tokens.Jwt" Version="8.18.0" />
    <PackageReference Include="System.ServiceModel.Duplex" Version="6.0.0" />
    <PackageReference Include="System.ServiceModel.Http" Version="10.0.652802" />
    <PackageReference Include="System.ServiceModel.NetTcp" Version="10.0.652802" />
    <PackageReference Include="System.ServiceModel.Primitives" Version="10.0.652802" />
    <PackageReference Include="System.ServiceModel.Security" Version="6.0.0" />
  </ItemGroup>

  <ItemGroup>
    <DotNetCliToolReference Include="Microsoft.VisualStudio.Web.CodeGeneration.Tools" Version="2.0.4" />
  </ItemGroup>

  <ItemGroup>
    <Folder Include="FileProcessFolder\" />
    <Folder Include="Logs\" />
    <Folder Include="UploadedFiles\" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\OnlineSalesAutoCrop.CoreAPI.Models\OnlineSalesAutoCrop.CoreAPI.Models.csproj" />
    <ProjectReference Include="..\OnlineSalesAutoCrop.CoreAPI.Services\OnlineSalesAutoCrop.CoreAPI.Services.csproj" />
  </ItemGroup>

  <ItemGroup>
    <WCFMetadata Include="Connected Services" />
  </ItemGroup>

  <PropertyGroup Label="Globals">
    <SccProjectName></SccProjectName>
    <SccProvider></SccProvider>
    <SccAuxPath></SccAuxPath>
    <SccLocalPath></SccLocalPath>
    <UserSecretsId>503f2393-8ec7-4681-85b2-dc86edb77199</UserSecretsId>
    <ApplicationIcon>cel.ico</ApplicationIcon>
    <DockerfileContext>..\..</DockerfileContext>
  </PropertyGroup>

  <PropertyGroup Label="Configuration" Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <TypeScriptTarget>ES6</TypeScriptTarget>
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)' == 'Debug'">
    <TypeScriptTarget>ES6</TypeScriptTarget>
    <TypeScriptJSXEmit>None</TypeScriptJSXEmit>
    <TypeScriptModuleKind />
    <TypeScriptCompileOnSaveEnabled>True</TypeScriptCompileOnSaveEnabled>
    <TypeScriptNoImplicitAny>False</TypeScriptNoImplicitAny>
    <TypeScriptRemoveComments>False</TypeScriptRemoveComments>
    <TypeScriptOutFile />
    <TypeScriptOutDir />
    <TypeScriptGeneratesDeclarations>False</TypeScriptGeneratesDeclarations>
    <TypeScriptNoEmitOnError>True</TypeScriptNoEmitOnError>
    <TypeScriptSourceMap>True</TypeScriptSourceMap>
    <TypeScriptMapRoot />
    <TypeScriptSourceRoot />
  </PropertyGroup>

  <PropertyGroup Condition="'$(Configuration)|$(Platform)'=='Release|AnyCPU'">
    <DocumentationFile>obj\Debug\netcoreapp3.1\OnlineSalesAutoCrop.CoreAPI.xml</DocumentationFile>
  </PropertyGroup>

  <ProjectExtensions><VisualStudio><UserProperties appsettings_1json__JsonSchema="" /></VisualStudio></ProjectExtensions>

</Project>
